Get List of Report Columns

Use this API to fetch the list of available columns that can be selected to generate a report. This API generates the list of Patch, Asset, Job Progress, and Job Progress Action columns, supporting only Windows and Linux platforms. 
 

GET/pm/v1/report/columns

Sample - Get List of columns in a reportSample - Get List of columns in a report

API Request

  curl -X 'GET' \
  '<qualys_base_url>/pm/v1/report/columns?platform=Windows&reportSection=Asset' 
  -H 'accept: application/json' 
  -H 'Authorization: Bearer <JWT_Token>

API Response

[
  "rowId",
  "assetId",
  "assetName",
  "operatingSystem",
  "assetStatus",
  "scannedOn",
  "lastUser",
  "netBios",
  "patchStatus",
  "patchId",
  "patchTitle",
  "publishedDate",
  "architecture",
  "category",
  "bulletin",
  "kb",
  "qid",
  "cve",
  "severity"
]